# Uses of Enum Class
org.eclipse.net4j.util.ref.ReferenceType

Packages that use ReferenceType
Package
Description
org.eclipse.net4j.util.ref
A framework for memory-sensitive keyed references and value maps.

## Uses of ReferenceType in org.eclipse.net4j.util.ref

Methods in org.eclipse.net4j.util.ref that return ReferenceType
Modifier and Type
Method
Description
`ReferenceType`
KeyedPhantomReference.`getType()`
`ReferenceType`
KeyedReference.`getType()`
`ReferenceType`
KeyedSoftReference.`getType()`
`ReferenceType`
KeyedStrongReference.`getType()`
`ReferenceType`
KeyedWeakReference.`getType()`
`static ReferenceType`
ReferenceType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReferenceType[]`
ReferenceType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.